<?php

use App\Domains\Forms\Controllers\AdminApp\EventFormController;
use App\Domains\Forms\Controllers\AdminApp\FoodFormController;
use App\Domains\Forms\Controllers\AdminApp\MerchandiseFormController;
use App\Domains\Forms\Controllers\AdminApp\SaleFormController;
use App\Domains\Forms\Controllers\AdminApp\StaffFormController;
use Illuminate\Support\Facades\Route;

Route::prefix('v1/adminapp/forms')
    ->middleware(['auth:sanctum', 'adminapp.tenant'])
    ->group(function (): void {
        Route::get('event', EventFormController::class);
        Route::get('sale', SaleFormController::class);
        Route::get('staff', StaffFormController::class);
        Route::get(
            'fiesta-futbol-infantil/merchandise',
            MerchandiseFormController::class
        );
        Route::get(
            'fiesta-futbol-infantil/food',
            FoodFormController::class
        );
    });
